// pages/home/me/indexx.js
import Toast from 'tdesign-miniprogram/toast/index';
import Dialog from 'tdesign-miniprogram/dialog/index';
const app = getApp();//新建页面时 默认引入
const req = app.xzjlReq();//初始化一个的request() 实例
Page({

    /**
     * 页面的初始数据
     */
    data: {
        isCxHq:false,
        bdsjhVisible:false,
        avatar:"",
        countdown:60,
        userInfo:{
            avatar:"",
            nick:"",
            isChatVip:false,//是否会员
            phone:'123',
            hasPhone:false
        },
        phone:'',
        phoneVerificationCode:''
    },
    // 手机号码校验
    getPhone(e){
        const phone = e.detail.value;
        if (!/^1[3456789]\d{9}$/.test(phone)) {
            wx.showToast({
              title: '手机号码格式不正确',
              icon: 'none'
            });
            return;
          }
    },
    getVerificationCode(e){
        const VerificationCode = e.detail.value;
        if (VerificationCode.length !== 6) {
            wx.showToast({
              title: '验证码格式不正确',
              icon: 'none'
            });
            return;
          }
    },
    getCode(){
        console.log(this.data.phone);
        if(this.data.countdown === 60 || this.data.countdown === '重新获取'){
            req.postRequest('/api/user/send-authentication-code',{phone:this.data.phone}).then((res)=>{
                console.log(res);
                if (res.data.code !== 200) {
                    return wx.showToast({
                        title: res.data.msg,
                        icon: 'none'
                      });
                }
                if (this.data.countdown === '重新获取') {
                    this.setData({countdown: 60})
                }
                // 验证码倒计时
                this.setData({isCxHq:true})
                const timerId = setInterval(()=>{
                    this.setData({countdown:this.data.countdown-1})
                    if (this.data.countdown === 0) {
                        clearTimeout(timerId);
                        this.setData({countdown:'重新获取'})
                    }
                },1000)
                console.log('获取验证码');
            })
        }
    },
    doBdsjh(){
        console.log('绑定手机号')
        this.setData({bdsjhVisible:true})
    },
    doCancelSjh(){
        this.setData({bdsjhVisible:false})
    },
    doEXecSjh(){
        req.patchRequest('/api/user/curt',{
            phone:this.data.phone,
            phoneVerificationCode:this.data.phoneVerificationCode
        }).then((res)=>{
            console.log(res);
            if(res.data.code !== 200){
                wx.showToast({
                    title:res.data.msg,
                    icon:'none'
                })
                return
            }else {
                this.setData({bdsjhVisible:false})
                this.getUserInfo()
                wx.showToast({
                    title:'绑定成功',
                    icon:'none'
                })
            }
        })
        this.setData({
            phoneVerificationCode:'',
            isCxHq:false
        })
    },
    go2Grzl(){
        wx.navigateTo({
            url: '/pages/home/me/grzl/grzl'
            })
    },
    go2Member(){/**跳转到会员购买页面 */
        wx.navigateTo({
            url: '/pages/home/me/member/member'
            })
    },
    go2Member2(){/**跳转到会员续费页面 */
        wx.navigateTo({
            url: '/pages/home/me/member2/member'
            })
    },
    go2Gw(){
        // wx.navigateTo({
        //     url: '/pages/home/me/gw/gw'
        //     })
        console.log('跳转了解星座精灵页面');
    },
    go2Ysxy(){
        // wx.navigateTo({
        //     url: '/pages/home/me/ysxy/ysxy'
        //     })
        console.log('跳转隐私协议页面');
    },
    go2Yhsyxy(){
        // wx.navigateTo({
        //     url: '/pages/home/me/yhsyxy/yhsyxy'
        //     })
        console.log('跳转用户协议页面');
    },
    go2Cjwt(){
        // wx.navigateTo({
        //     url: '/pages/home/me/cjwt/cjwt'
        //     })
        console.log('跳转常见问题页面');
    },
    go2Device(){
        wx.navigateTo({
            url: '/pages/home/me/mydevice/device'
            })
    },
    go2Sq(){
        // wx.navigateTo({
        //     url: '/pages/home/me/sq/sq'
        //     })
        console.log('跳转社群');
    },
    go2Yjfk(){
        wx.navigateTo({
            url: '/pages/home/me/yjfk/yjfk'
            })
    },

    go2Manual(){
        // wx.navigateTo({
        //     url: '/pages/home/me/manual/manual'
        //     })
        console.log('跳转说明书页面');
    },
    go2Jcjb(){
        wx.navigateTo({
            url: '/pages/home/me/jcjb/jcjb'
            })
    },
    getUserInfo(){
        req.getRequest('/api/user/curt',{}).then((res)=>{
            if(res.data.code==200){
                this.setData({
                    userInfo:res.data.data,
                    phone:res.data.data.phone
                })
            }
            console.log(this.userInfo);
           }).catch((err)=>{
            console.log(err);
        })
    },
    ReqData(){
        req.getRequest('/getList',{id: 1024}).then((res)=>{
            console.log(res);
           }).catch((err)=>{
            console.log(err);
           })
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {
        this.getUserInfo()
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        this.getUserInfo()
        
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    },
    go2Index(){
        wx.navigateTo({
            url: '/pages/index/index'
          })
          Toast({
            context: this,
            selector: '#t-toast',
            message: '退出成功！',
          });
    }
    ,
    ljXzjl(){
    },
    logout() {
        const dialogConfig = {
          context: this,
          title: '退出登录',
          content: '星座精灵是一款快速能够让你快速了解自己的星座特征以及星座运势，确定需要退出吗？',
          confirmBtn: '确定',
          cancelBtn: '取消',
        };
  
        Dialog.confirm(dialogConfig)
          .then(() => {
            req.deleteRequest('/api/user/logout',{}).then((res)=>{
                if(res.data.code===200){
                    wx.navigateTo({
                        url: '/pages/index/index'
                      })
                      Toast({
                        context: this,
                        selector: '#t-toast',
                        message: '退出成功！',
                      });
                }
               }).catch((err)=>{
                Toast({
                    context: this,
                    selector: '#t-toast',
                    message: '退出失败！',
                  });
               })
 
            })
          .catch(() => console.log('点击了取消'))
          .finally(() => {
            wx.setStorageSync('token', '')
            Dialog.close()});
      },
})